## org.eclipse.emf.validation.model
Class ModelConstraint

    java.lang.Object
      org.eclipse.emf.validation.model.ModelConstraint

All Implemented Interfaces:
  IModelConstraint

    public abstract class ModelConstraint

extends Object
implements IModelConstraint

An abstract model constraint implementation. This class is intended to be used by constraint providers `IModelConstraintProvider` in order to provide live/batch validation constraints.

Field Summary

Fields inherited from interface org.eclipse.emf.validation.model.IModelConstraint
`STATUS_CODE_SUCCESS`

Constructor Summary
`ModelConstraint(IConstraintDescriptor descriptor)` Constructs me with the provided non-null constraint descriptor.

Method Summary
`IConstraintDescriptor` `getDescriptor()` Obtains my descriptor, which provides a variety of meta-data about me.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.validation.model.IModelConstraint
`validate`

Constructor Detail

### ModelConstraint

    public ModelConstraint(IConstraintDescriptor descriptor)

  Constructs me with the provided non-null constraint descriptor.

  Parameters:
    `descriptor` - A non-null constraint descriptor that describes this model constraint.

Method Detail

### getDescriptor

    public final IConstraintDescriptor getDescriptor()

  Description copied from interface: `IModelConstraint`
  Obtains my descriptor, which provides a variety of meta-data about me.

  Specified by:
    `getDescriptor` in interface `IModelConstraint`
  Returns:
    my constraint descriptor

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.